#include "motif.macros"


MakePanel(configClipsTBL,configClipsTBLTBL, List of All Clips)
configClipsTBL.wcAfterManageChildren:    XetAction(configClipsInfo)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*configClipsTBLTBL.wcCreate:		 XmpTable
UnifiedTableLayout(*configClipsTBLTBL)
*configClipsTBLTBL.wcChildren:		 configclipsListTBL
     
*configclipsListTBL.wcCreate:		 XmpTable
*configclipsListTBL.wcChildren:		 configListTitle, \
					 configListTitle1, \
					 configListTBL,   \
					 configClipsButtonTBL
     
*configclipsListTBL.layout:		 configListTitle      0 0 WH; \
					 configListTitle1     0 1 ; \
					 configListTBL        0 2 WH; \
					 configClipsButtonTBL 0 3 
*configclipsListTBL.borderWidth:         4
*configclipsListTBL.marginHeight:	 4
*configclipsListTBL.marginWidth:	 4
*configclipsListTBL.Spacing:		 4


UnifiedTitle(configListTitle, <<<<< List of Clips >>>>>)


*configListTitle1.wcCreate:    XmLabel
*configListTitle1.labelString: Slot  \     Name   \     Size  \   <Orig/Link, Ref-Counter, (has/no) Mask, Status>
*configListTitle1.alignment:		 ALIGNMENT_BEGINNING
	  
*configListTBL.wcCreate:		 XmScrolledWindow
*configListTBL.wcChildren:		 configList
*configListTBL.layout:			 configList 0 0
*configListTBL.width:  500
*configListTBL.height: 220

MakeListWidget(*configList,12)

*configList.wcPopups:         clipsPopupMenu
*configList.translations:   #override \n <Btn3Down>: XmpPopup( this*clipsPopupMenu )

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*configClipsButtonTBL.wcCreate:       XmpTable

*configClipsButtonTBL.wcChildren:     \
				      configClipsQuantize  \
				      configClipsShowAll, \
				      configClipsCancel,     \
				      configClipsDeleteAll

*configClipsButtonTBL.layout:         \
				      configClipsDeleteAll    0 0; \
				      configClipsShowAll      1 0; \
				      configClipsQuantize     2 0; \
                                      configClipsCancel       3 0

globalButtonSpacing(configClipsButtonTBL)

MakePushButton(configClipsQuantize, Quantize,XetAction(configClipsQuantize))
MakePushButton(configClipsShow, Show,XetAction(configClipsShow))
MakePushButton(configClipsShowAll, Show All,XetAction(configClipsShowAll))
MakePushButton(configClipsDup, Duplicate (deep),XetAction(configClipsDup))
MakePushButton(configClipsClone, Duplicate (shallow),XetAction(configClipsClone))
MakePushButton(configClipsAttribute, View/Edit Attributes,WcSetInsensitive(this) XetAction(setclipAttributes))
MakePushButton(configClipsRename, Rename,WcSetInsensitive(this) XetAction(configClipsRename))

MakePushButton(configClipsWriteClip, Write Clip,WcSetInsensitive(this) XetAction(preWriteClipImage))
MakePushButton(configClipsWriteMask, Write Mask,WcSetInsensitive(this) XetAction(preWriteClipMask))
MakePushButton(configClipsDelete,  Delete,XetAction(configClipsDelete))
MakePushButton(configClipsDeleteMask, Delete Mask,XetAction(configClipsDeleteMask))
MakePushButton(configClipsDeleteAll, Delete All,XetAction(configClipsDeleteAll))
MakePushButton(configClipsCancel,   Cancel,XetAction(configClipsCancel) WcDestroy(configClipsTBL*clipsPopupMenu)  WcDestroy(configClipsTBL))

*configClipsChangeStatus.wcCreate:           XmCascadeButton
*configClipsChangeStatus.labelString:        Change Clip Status
*configClipsChangeStatus.borderWidth:        2 
*configClipsChangeStatus.marginWidth:        2 
*configClipsChangeStatus.traversalOn:        False
*configClipsChangeStatus.highlightOnEnter:   True
*configClipsChangeStatus.highlightThickness: 2 
*configClipsChangeStatus.bottomShadowColor:  XET_BLACK
*configClipsChangeStatus.topShadowColor:     XET_WHITE
*configClipsChangeStatus.shadowThickness:    4 
*configClipsChangeStatus.fontList: -*-new century schoolbook-bold-r-*-*-20-140-*
*configClipsChangeStatus.borderColor:        XET_BLACK
*configClipsChangeStatus.subMenuId:         *clipStatusMenu


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*clipsPopupMenu.wcConstructor:	   XmCreatePopupMenu
*clipsPopupMenu.wcChildren:        \
				   configClipsShow,configClipsDup, \
                                   configClipsClone,\
				   configClipsAttribute,configClipsRename,\
				   configClipsWriteClip \
				   configClipsWriteMask,configClipsDelete, \
				   configClipsDeleteMask,configClipsChangeStatus

*clipsPopupMenu.wcPopups:          clipStatusMenu
                        
*clipStatusMenu.wcConstructor:	   XmCreatePulldownMenu
*clipStatusMenu.wcChildren:  normal, ignoreMask, ignoreImage, ignoreBoth


MakeStatusButton(clipStatusMenu,normal,   Normal,        XetAction(setClipStatusNormal))
MakeStatusButton(clipStatusMenu,ignoreMask, Disable Mask,   XetAction(setClipStatusNoMask))
MakeStatusButton(clipStatusMenu,ignoreImage,Disable Image,  XetAction(setClipStatusNoImage))
MakeStatusButton(clipStatusMenu,ignoreBoth, No Display,  XetAction(setClipStatusNoBoth))



