#include "motif.macros"

MakePanel(editLocusTBL,editLocusimgTBL,      Edit Locus)

editLocusTBL.width:                 600
editLocusTBL.height:                600

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*editLocusimgTBL.wcCreate:          XmpTable
*editLocusimgTBL.wcChildren:	    editLocusPanelTBL, \
				    editLocusPanelFields, \
				    editLocusPanelBttnTBL
 
*editLocusimgTBL.layout:	    editLocusPanelFields     0 0  5 0 H; \
				    editLocusPanelTBL        0 1  5 40; \
				    editLocusPanelBttnTBL    0 41 5 0 H;
UnifiedTableLayout(*editLocusimgTBL)

*editLocusimgTBL*fontList: -*-lucida-bold-r-normal-*-12-*-75-75-*-*-*-*

*editLocusPanelFields.wcCreate:     XmpTable
*editLocusPanelFields.wcChildren:   editLocusPanelLB,editLocusPanelTF \
				    editLocusnpsLB,editLocusnpsTF
*editLocusPanelFields.layout:       editLocusPanelLB  0 0; \
				    editLocusnpsLB    0 1; \
                                    editLocusPanelTF  1 0; \
				    editLocusnpsTF    1 1;

*editLocusPanelFields*fontList:  -*-lucida-bold-r-normal-*-12-*-75-75-*-*-*-*


MakeLBandTF(*editLocusnpsLB,*editLocusnpsTF, Number of Points :)
*editLocusnpsTF.sensitive: False
MakeLBandTF(*editLocusPanelLB,*editLocusPanelTF, Locus Name :)
*editLocusPanelTF.sensitive: False

*editLocusPanelTBL.wcCreate:	     XmpTable
*editLocusPanelTBL.wcChildren:       editLocusPanelTXT
*editLocusPanelTBL.layout:           infoTXT 0 0 

MakeTextWidget(*editLocusPanelTXT)
*editLocusPanelTXT.width:            600
*editLocusPanelTXT.height:           400
*editLocusPanelTXT.editable:         TRUE

UnifiedBorderWidth(*editLocusPanelTXT)
*editLocusPanelTXT.shadowThickness:  1

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*editLocusPanelBttnTBL.wcCreate:       XmpTable
*editLocusPanelBttnTBL.wcChildren:     editLocusAccept,editLocusCancel, \
                                       editLocusUnique

*editLocusPanelBttnTBL.layout:	       editLocusAccept 0 0; \
				       editLocusUnique 1 0; \
				       editLocusCancel 2 0

globalButtonSpacing(editLocusPanelBttnTBL)

MakePushButton(editLocusCancel, Cancel, WcDestroy(^^^))
MakePushButton(editLocusAccept, Accept, XetAction(editLocusAccept))
MakePushButton(editLocusUnique, Unique, XetAction(editLocusUnique))

