#include "motif.macros"


MakePanel(forgeTBL,forgeTBLTBL,  Set Up ppmforge)

*forgeTBLTBL.wcCreate:           XmpTable
UnifiedTableLayout(*forgeTBLTBL)
*forgeTBLTBL.wcChildren:	 forgeInfoTBL, forgeTopButtonTBL

*forgeTBLTBL.Layout:             forgeInfoTBL  0 0; forgeTopButtonTBL 0 1


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*forgeInfoTBL.wcCreate:          XmpTable
*forgeInfoTBL.wcChildren:        forgeTitleLB, \
                                 forgeFields

*forgeInfoTBL.layout:            forgeTitleLB      0 0 WH; \
                                 forgeFields       0 1


UnifiedBorderWidth(*forgeInfoTBL)

UnifiedTitle(forgeTitleLB,  <<<<< Set up ppmforge >>>>>)


*forgeFields.wcCreate:       XmpTable
*forgeFields.wcChildren:	\
			     forgeStarLB,      \
			     forgeDimensionLB, \
			     forgePowerLB,     \
			     forgeGlaciersLB,  \
			     forgeTypeLB,      \
			     forgeIceLB,       \
			     forgeSaturationLB,\
			     forgeSeedLB,      \
			     forgeHourLB,      \
			     forgeMeshLB,      \
			     ForgeTiltAngleLB, \
			     ForgeXsizeLB,     \
			     ForgeYsizeLB,     \
			     ForgeOutputLB,    \
			     ForgeclipNameLB,    \
			     forgeStarTF,      \
			     forgeDimensionTF, \
			     forgePowerTF,     \
			     forgeGlaciersTF,  \
			     forgeTyperadio3,  \
			     forgeIceTF,       \
			     forgeSaturationTF,\
			     forgeSeedTF,      \
                             forgeHourTF,      \
			     forgeMeshTF,      \
			     ForgeTiltAngleTF, \
			     ForgeXsizeTF,     \
			     ForgeYsizeTF,     \
			     ForgeclipNameTF,    \
			     forgeTyperadio4

*forgeFields.layout: 	\
			  forgeTypeLB           0 0 ;  \
                          forgeDimensionLB      0 1 ;  \
			  forgeStarLB           0 2 ;  \
                          forgeHourLB           0 3 ;  \
			  forgePowerLB          0 4 ;  \
                          forgeGlaciersLB       0 5 ;  \
                          ForgeTiltAngleLB      0 6 ;  \
                          forgeMeshLB           0 7 ;  \
			  forgeSeedLB           0 8 ;  \
                          forgeIceLB            0 9 ;  \
                          forgeSaturationLB     0 10;  \
			     ForgeXsizeLB       0 11;  \
			     ForgeYsizeLB       0 12;  \
			     ForgeclipNameLB      0 13;  \
                             ForgeOutputLB      0 14;  \
			  forgeTyperadio3       1 0;   \
			  forgeDimensionTF      1 1;   \
                          forgeStarTF           1 2;   \
                          forgeHourTF           1 3;   \
			  forgePowerTF          1 4;   \
 			  forgeGlaciersTF       1 5;   \
                          ForgeTiltAngleTF      1 6;   \
                          forgeMeshTF           1 7;   \
			  forgeSeedTF           1 8;   \
			  forgeIceTF            1 9;   \
			  forgeSaturationTF     1 10;  \
			     ForgeXsizeTF       1 11;  \
			     ForgeYsizeTF       1 12;  \
			     ForgeclipNameTF      1 13;  \
                          forgeTyperadio4       1 14


*forgeFields*fontList:   -*-lucida-bold-r-normal-*-12-*-75-75-*-*-*-*@@\
MakeLBandTF(*forgeStarLB,*forgeStarTF, Star:)
MakeLBandTF(*forgeTypeLB,*forgeTypeTF,  Type:)
MakeLBandTF(*forgeSeedLB,*forgeSeedTF,   Seed:)
MakeLBandTF(*forgeSaturationLB,*forgeSaturationTF,  Saturation:)
MakeLBandTF(*forgeIceLB,*forgeIceTF,  Ice:)
MakeLBandTF(*forgeGlaciersLB,*forgeGlaciersTF,   Glaciers:)
MakeLBandTF(*forgePowerLB,*forgePowerTF,   Power:)
MakeLBandTF(*forgeDimensionLB,*forgeDimensionTF,      Dimension:)
MakeLBandTF(*forgeHourLB,*forgeHourTF,    Hour:)
MakeLBandTF(*ForgeTiltAngleLB,*ForgeTiltAngleTF,   Tilt Angle:)
MakeLBandTF(*forgeMeshLB,*forgeMeshTF,   Mesh:)
MakeLBandTF(*ForgeXsizeLB,*ForgeXsizeTF,   Width:)
MakeLBandTF(*ForgeYsizeLB,*ForgeYsizeTF,  Height:)
MakeLBandTF(*ForgeOutputLB,*ForgeOutputTF, Output:)
MakeLBandTF(*ForgeclipNameLB,*ForgeclipNameTF, -:)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*forgeTyperadio3.wcCreate:	   XmpTable
*forgeTyperadio3.wcChildren:	   forgeTypepcn
  
*forgeTypepcn.wcCreate:		   XmRowColumn
*forgeTypepcn.wcChildren:	   lt,mt,rt
*forgeTypepcn.marginHeight:	   0
*forgeTypepcn.spaceing:		   0
  
*forgeTypepcn.indicatorType:	   ONE_OF_MANY
*forgeTypepcn.radioBehavior:	   True
*forgeTypepcn.numColumns:	   3
*forgeTypepcn.packing:		   PACK_COLUMN
!!*forgeTypepcn.borderWidth:	   4
  
*forgeTypepcn.lt.wcCreate:	   XmToggleButton
*forgeTypepcn.lt.labelString:	   Planet
*forgeTypepcn.lt.set:		   True
*forgeTypepcn.mt.wcCreate:	   XmToggleButton
*forgeTypepcn.mt.labelString:	   Cloud
*forgeTypepcn.rt.wcCreate:	   XmToggleButton
*forgeTypepcn.rt.labelString:	   Night


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*forgeTyperadio4.wcCreate:         XmpTable
*forgeTyperadio4.wcChildren:       forgeTypeoutpout

*forgeTypeoutpout.wcCreate:        XmRowColumn
*forgeTypeoutpout.wcChildren:      lt,mt
*forgeTypeoutpout.marginHeight:    0
*forgeTypeoutpout.spaceing:        0

*forgeTypeoutpout.indicatorType:   ONE_OF_MANY
*forgeTypeoutpout.radioBehavior:   True
*forgeTypeoutpout.numColumns:      3
*forgeTypeoutpout.packing:         PACK_COLUMN
!!*forgeTypeoutpout.borderWidth:   4

*forgeTypeoutpout.lt.wcCreate:	   XmToggleButton
*forgeTypeoutpout.lt.labelString:  Background
*forgeTypeoutpout.lt.armCallback: \
     WcSetValue(*ForgeclipNameLB.labelString: -:)
*forgeTypeoutpout.lt.set:          True
*forgeTypeoutpout.mt.wcCreate:	   XmToggleButton
*forgeTypeoutpout.mt.labelString:  Clip
*forgeTypeoutpout.mt.armCallback: \
     WcSetValue(*ForgeclipNameLB.labelString: Clip Name:)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!



*forgeTopButtonTBL.wcCreate:       XmpTable
*forgeTopButtonTBL.wcChildren:     \
				   forgeApply, \
				   forgeCancel

*forgeTopButtonTBL.layout:          \
				   forgeApply  0 0; \
				   forgeCancel 1 0

globalButtonSpacing(forgeTopButtonTBL)

MakePushButton(forgeApply, Apply, XetAction(forgeApply))
MakePushButton(forgeCancel,  Cancel,  XetAction(forgeCancel) WcDestroy(forgeTBL))
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

