#include "motif.macros"

MakePanel(importTBL,importParamTBL,  Import Image)

*importParamTBL.wcCreate:         XmpTable
UnifiedTableLayout(*importParamTBL)

*importParamTBL.wcChildren:	  importImgInfoTBL,      \
				  importImgOptTBL,       \
			          importImgFilterTBL,    \
	                          importImgButtonTBL

*importParamTBL.Layout:           importImgInfoTBL         0 0 ; \
				  importImgOptTBL          0 1 ; \
				  importImgFilterTBL       0 2 ; \
	                          importImgButtonTBL       0 3 

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*importImgInfoTBL.wcCreate:       XmpTable
*importImgInfoTBL.wcChildren:     importImgInfobodyTBL, \
				  importImgInfoTitleLB

*importImgInfoTBL.layout:         importImgInfoTitleLB   0 0 WH; \
                                  importImgInfobodyTBL   0 1

UnifiedBorderWidth(*importImgInfoTBL)

UnifiedTitle(importImgInfoTitleLB,  <<<<< Image Information >>>>>)

*importImgInfobodyTBL.wcCreate:      XmpTable
*importImgInfobodyTBL.wcChildren:	\
				  importImgimagePB, \
				  importImgTypeLB,  \
				  importImgSizeLB,  \
				  importclipNameLB,   \
				  importclipNameTF,   \
			          importImgTypeTF,  \
			          importImgimageTF, \
			          importImgSizeTF

*importImgInfobodyTBL.layout: 	\
				  importclipNameLB    0 0 ;  \
				  importImgimagePB    0 1 ;  \
				  importImgTypeLB     0 2 ;  \
				  importImgSizeLB     0 3 ;  \
				  importclipNameTF    1 0 ;  \
				  importImgimageTF    1 1 ;  \
				  importImgTypeTF     1 2 ;  \
				  importImgSizeTF     1 3  


MakeLBandTF(*importclipNameLB,*importclipNameTF,        Clip Name:)
MakePBandTF(*importImgimagePB,*importImgimageTF,    Image File Name:)
*importImgimagePB.activateCallback: WcSetInsensitive(this) \
                                    WcCreateRootCB(FSB) \
                                    WcSetInsensitive(*importCancel) 
*importImgimagePB.borderWidth:      0
MakeLBandTF(*importImgColorsLB,*importImgColorsTF,     Number of Colors:)
MakeLBandTF(*importImgSizeLB,*importImgSizeTF,    Size (width x height):)
MakeLBandTF(*importImgTypeLB,*importImgTypeTF,        Image Type:)
*importImgColorsTF.sensitive:       False
*importImgSizeTF.sensitive:         False
*importImgTypeTF.sensitive:         False


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*importImgFilterTBL.wcCreate:      XmpTable
*importImgFilterTBL.wcChildren:    importFiltertitle1,  \
                                   importFilterfields

UnifiedBorderWidth(*importImgFilterTBL)
*importImgFilterTBL.layout:        importFiltertitle1  0 0 WH; \
                                   importFilterfields 0 1

UnifiedTitle(importFiltertitle1, <<<<< Image Transformation Parameters >>>>>)

*importFilterfields.wcCreate:      XmpTable
*importFilterfields.wcChildren:	   \
				   importActiveRegionLB, \
				   importcolorLB,        \
				   importXscaleLB,       \
				   importYscaleLB,       \
				   importrotateLB,       \
				   importflipLB,         \
				   importshearLB,        \
				   importActiveRegionTF, \
				   importcolorTF,        \
				   importXscaleTF,       \
				   importYscaleTF,       \
				   importrotateTF,       \
				   importshearTF,        \
				   importflipOPTF

*importFilterfields.layout: 	   \
				   importActiveRegionLB  0 0 ; \
				   importcolorLB         0 6 ; \
				   importXscaleLB        0 4 ; \
				   importYscaleLB        0 5 ; \
				   importrotateLB        0 3 ; \
				   importflipLB          0 2 ; \
				   importshearLB         0 1 ; \
				   importActiveRegionTF  1 0  4 0; \
				   importcolorTF         1 6  4 0; \
				   importXscaleTF        1 4  4 0; \
				   importYscaleTF        1 5  4 0; \
				   importrotateTF        1 3  4 0; \
				   importshearTF         1 1  4 0; \
				   importflipOPTF        1 2  4 0

MakeLBandTF(*importshearLB,*importshearTF, Shear Angle:)
MakeLBandTF(*importActiveRegionLB,*importActiveRegionTF, \        Cut Region (x y width height):)
MakeLBandTF(*importcolorLB,*importcolorTF,      Reduce Number of Colors to:)
MakeLBandTF(*importXscaleLB,*importXscaleTF,   Prospective Scale factor:)
MakeLBandTF(*importYscaleLB,*importYscaleTF,   -:)
MakeLBandTF(*importrotateLB,*importrotateTF,   Rotation Angle:)
MakeLB(*importflipLB, Flip Orientation:)
*importFilterfields.wcPopups:	flipMenu

*importflipOPTF.wcCreate:	   XmCreateOptionMenu
*importflipOPTF.labelStrig:      
*importflipOPTF.subMenuId:        *flipMenu

*flipMenu.wcCreate:	           XmCreatePulldownMenu
*flipMenu.wcChildren:	           none,leftright,topbottom,transpose, \
		                   rotate90,rotate270,rotate180 
*leftright.wcCreate:		   XmPushButton
*leftright.activateCallback:       XetAction(importFlip_leftright)
*topbottom.wcCreate:		   XmPushButton
*topbottom.activateCallback:       XetAction(importFlip_topbottom)
*transpose.wcCreate:		   XmPushButton
*transpose.activateCallback:       XetAction(importFlip_transpose)
*rotate90.wcCreate:		   XmPushButton
*rotate90.activateCallback:        XetAction(importFlip_rotate90)
*rotate270.wcCreate:		   XmPushButton
*rotate270.activateCallback:       XetAction(imporFlip_trotate270)
*rotate180.wcCreate:		   XmPushButton
*rotate180.activateCallback:       XetAction(importFlip_rotate180)
*none.wcCreate:		           XmPushButton
*none.activateCallback:            XetAction(importFlip_none)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*importImgOptTBL.wcCreate:       XmpTable
*importImgOptTBL.wcChildren:      \
                                 importFilterradioLB, \
                                 importFilterradio1LB,\
                                 importFilterradio2LB,\
                                 importFilterradio3LB,\
                                 importFiltertitle,   \
                                 importFilterradio,   \
                                 importFilterradio1,  \
                                 importFilterradio2,  \
                                 importFilterradio3

*importImgOptTBL.layout:         importFiltertitle    0 0 5 0 WH; \
                                 importFilterradioLB  0 1; \
                                 importFilterradio1LB 0 2; \
                                 importFilterradio2LB 0 3; \
                                 importFilterradio3LB 0 4; \
                                 importFilterradio    1 1; \
                                 importFilterradio1   1 2; \
                                 importFilterradio2   1 3; \
                                 importFilterradio3   1 4

UnifiedBorderWidth(*importImgOptTBL)

UnifiedTitle(importFiltertitle, <<<<< Options >>>>>)

MakeLB(importFilterradioLB,  Scale:)
MakeLB(importFilterradio1LB, Quantize:)
MakeLB(importFilterradio2LB, Temporary File:)
MakeLB(importFilterradio3LB, pnmsmooth:)
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*importFilterradio.wcCreate:          XmpTable
*importFilterradio.wcChildren:        importFilterradiobox

*importFilterradiobox.wcCreate:       XmRowColumn
*importFilterradiobox.wcChildren:     rt,mt,lt,rm
*importFilterradiobox.marginHeight:   0
*importFilterradiobox.spaceing:       0

*importFilterradiobox.indicatorType:  ONE_OF_MANY
*importFilterradiobox.radioBehavior:  True
*importFilterradiobox.numColumns:     4
*importFilterradiobox.packing:        PACK_COLUMN
!!*importFilterradiobox.borderWidth:  4

MakeToggleButton(*importFilterradiobox.lt, Size)
*importFilterradiobox.lt.armCallback: \
         WcSetValue(*importXscaleLB.labelString: Scale Width to:)  \
         WcSetValue(*importYscaleLB.labelString: Scale Height to:)

MakeToggleButton(*importFilterradiobox.rm, Fit)
*importFilterradiobox.rm.armCallback: \
         WcSetValue(*importXscaleLB.labelString: Fit to X size:)  \
         WcSetValue(*importYscaleLB.labelString: Fit to Y size:)

MakeToggleButton(*importFilterradiobox.mt, Factor)
*importFilterradiobox.mt.armCallback: \
         WcSetValue(*importXscaleLB.labelString: Width Scale factor:)  \
         WcSetValue(*importYscaleLB.labelString: Height Scale factor:) 

MakeToggleButton(*importFilterradiobox.rt, Prospective)
*importFilterradiobox.rt.armCallback: \
         WcSetValue(*importXscaleLB.labelString: Prospective Scale factor:)  \
         WcSetValue(*importYscaleLB.labelString: - :)
*importFilterradiobox.rt.set: True
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*importFilterradio1.wcCreate:       XmpTable
*importFilterradio1.wcChildren:     importFilterquant

*importFilterquant.wcCreate:        XmRowColumn
*importFilterquant.wcChildren:      lt,mt
*importFilterquant.marginHeight:    0
*importFilterquant.spaceing:        0

*importFilterquant.indicatorType:   ONE_OF_MANY
*importFilterquant.radioBehavior:   True
*importFilterquant.numColumns:      2
*importFilterquant.packing:         PACK_COLUMN
!!*importFilterquant.borderWidth:   4

*importFilterquant.lt.wcCreate:	    XmToggleButton
*importFilterquant.lt.labelString:  Use a number (less than 255)
*importFilterquant.lt.armCallback: \
     WcSetValue(*importcolorLB.labelString:   Reduce Number of Colors to:)
*importFilterquant.lt.set:          True
*importFilterquant.mt.wcCreate:	XmToggleButton
*importFilterquant.mt.labelString:  Use a ppm file
*importFilterquant.mt.armCallback: \
     WcSetValue(*importcolorLB.labelString:   Quantize with ppm file:)
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*importFilterradio2.wcCreate:       XmpTable
*importFilterradio2.wcChildren:     importFilterdelete

*importFilterdelete.wcCreate:       XmRowColumn
*importFilterdelete.wcChildren:     lt,mt
*importFilterdelete.marginHeight:   0
*importFilterdelete.spaceing:       0

*importFilterdelete.indicatorType:  ONE_OF_MANY
*importFilterdelete.radioBehavior:  True
*importFilterdelete.numColumns:     2
*importFilterdelete.packing:        PACK_COLUMN
!!*importFilterdelete.borderWidth:  4

*importFilterdelete.lt.wcCreate:    XmToggleButton
*importFilterdelete.lt.labelString: Delete 
*importFilterdelete.lt.set:         True
*importFilterdelete.mt.wcCreate:    XmToggleButton
*importFilterdelete.mt.labelString: Don\`t delete

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*importFilterradio3.wcCreate:       XmpTable
*importFilterradio3.wcChildren:     importFiltersmooth

*importFiltersmooth.wcCreate:       XmRowColumn
*importFiltersmooth.wcChildren:     lt,mt
*importFiltersmooth.marginHeight:   0
*importFiltersmooth.spaceing:       0

*importFiltersmooth.indicatorType:  ONE_OF_MANY
*importFiltersmooth.radioBehavior:  True
*importFiltersmooth.numColumns:     2
*importFiltersmooth.packing:        PACK_COLUMN
!!*importFiltersmooth.borderWidth:  4

*importFiltersmooth.lt.wcCreate:    XmToggleButton
*importFiltersmooth.lt.labelString: Yes
*importFiltersmooth.mt.wcCreate:    XmToggleButton
*importFiltersmooth.mt.labelString: No
*importFiltersmooth.mt.set:         True

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*importImgButtonTBL.wcCreate:       XmpTable
*importImgButtonTBL.wcChildren:     importDoit, importfetchinfo,\
                                    importCancel

globalButtonSpacing(importImgButtonTBL)

*importImgButtonTBL.layout:          \
	                            importDoit      0 0 ; \
				    importfetchinfo 1 0 ; \
                                    importCancel    2 0


MakePushButton(importDoit,     Import Image,  XetAction(importDoit) )
MakePushButton(importCancel,       Cancel,XetAction(importCancel)  \
                                   WcDestroy(importTBL))

MakePushButton(importfetchinfo, Fetch Info, XetAction(importfetchinfo))







