//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#ifndef COLOR_IMAGE_H
#define COLOR_IMAGE_H

#include "clip.h"

class ColorImage : public Clip {
protected:
  int      pixval;
  XColor   p[256];
  int      rowWidth,columnWidth,nc,nr, borderWidth, borderPixval;
public:
  ColorImage(Display *d,Widget w);
  ~ColorImage();
  void     MakeImage(int w, int h, int pixval,int a = 0,int b = 0,int c = 0);
  XColor   getPixval(int x, int y);
  void     cacheCmap();
};

#endif

