//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#ifndef CUTBG_IMAGE_H
#define CUTBG_IMAGE_H

#include "clip.h"

class CutbgImage : public Clip {
protected:
  XImage      *background;
  int          r1x,r1y,r1width,r1height;
public:
  CutbgImage(Display *d,Widget w,XImage *bg);
  Clip *dup();
  void dontNeedBackgroungAnyMore();
  void MakeImage(int w, int h, int pixval,int a = 0,int b = 0,int c = 0);
  void MakeImageAndDisplay(OutputWindow *w,int w, int h, int bg, int fg, int wi, int hi);
  ~CutbgImage();
};

#endif

