//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#include "config.h"
#include "xet.h"
#include "util.h"
#include <Xm/Text.h>

void Xet::xetHelp(char *what){
  Widget help = WcCreateRoot(Dpy,"xetHelpTBL");
  Widget helptxt = WcChildNameToWidget(help,"*xetHelpTXT");
  Widget helplb = WcChildNameToWidget(help,"*xetHelpXetHelptitle");
  char buf[512];
  sprintf(buf,"%s/data/help/%s",XET_ROOT_DIRECTORY,what);
  char *txt = getSource(buf);
  XmTextSetString(helptxt,txt);
  delete txt;
  sprintf(buf,"<<< %s/data/help/%s >>>",XET_ROOT_DIRECTORY,what);
  PutTextInLabelWidget(helplb,buf); 
}
