#include "motif.macros"

MakePanel(clipSetupTBL,clipParamTBL, Set Up Animation Objects)

*clipParamTBL.wcCreate:			XmpTable
UnifiedTableLayout(*clipParamTBL)
*clipParamTBL.wcChildren:		clipSpecInfoTBL,     \
					clipSpecModeTBL,     \
					cliptrailModeTBL,    \
					clipboundaryModeTBL, \
					clipSpecButtonTBL,   \
                                        clipdstModeTBL
	
*clipParamTBL.Layout:			clipSpecInfoTBL     0 0 WH; \
					clipSpecModeTBL     0 1; \
                                        clipdstModeTBL      0 2; \
					cliptrailModeTBL    0 3; \
					clipboundaryModeTBL 0 4; \
					clipSpecButtonTBL   0 5

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*clipSpecInfoTBL.wcCreate:		XmpTable
*clipSpecInfoTBL.wcChildren:		clipSpecTitleLB, clipSpecFields
*clipSpecInfoTBL.layout:		clipSpecTitleLB 0 0 WH; \
                                        clipSpecFields  0 1 

UnifiedBorderWidth(*clipSpecInfoTBL)

UnifiedTitle(clipSpecTitleLB, <<<<< Animation Object Specification >>>>>)

*clipSpecFields.wcCreate:        XmpTable
*clipSpecFields.wcChildren:	 \
				 clipField5LB,     \
				 clipclipNameLB,   \
				 clipField3LB,     \
				 clipField4LB,     \
				 clipField1LB,     \
				 clipField2LB,     \
				 clipRunObjectLB,  \
			         clipDspIntervalLB,\
				 clipField5TF,     \
				 clipclipNameTF,   \
				 clipField3TF,     \
				 clipField4TF,     \
				 clipField1TF,     \
				 clipField2TF,     \
				 clipRunObjectTF,  \
				 clipDspIntervalTF


*clipSpecFields.layout: 	 \
				 clipRunObjectLB     0 0 ;  \
				 clipclipNameLB      0 1 ;  \
				 clipDspIntervalLB   0 2 ;  \
				 clipField1LB        0 3 ;  \
				 clipField2LB        0 4 ;  \
				 clipField3LB        0 5 ;  \
				 clipField4LB        0 6 ;  \
				 clipField5LB        0 7 ;  \
				 clipRunObjectTF     1 0;   \
				 clipclipNameTF      1 1;   \
				 clipDspIntervalTF   1 2;   \
				 clipField1TF        1 3;   \
				 clipField2TF        1 4;   \
				 clipField3TF        1 5;   \
				 clipField4TF        1 6;   \
				 clipField5TF        1 7

*clipSpecFields*fontList:   -*-lucida-bold-r-normal-*-12-*-75-75-*-*-*-*@@\

MakeLBandTF(*clipField1LB,*clipField1TF, Initial X Location:)
MakeLBandTF(*clipField2LB,*clipField2TF, Initial Y Location:)
MakeLBandTF(*clipField3LB,*clipField3TF, Direction (dx dy):)
MakeLBandTF(*clipField4LB,*clipField4TF, Bounding Box (x y width height):)
MakeLBandTF(*clipField5LB,*clipField5TF, Instance equation:)

MakePBandTF(*clipclipNameLB,*clipclipNameTF,    List of Clip Names:)
*clipclipNameLB.activateCallback:  XetAction(popupselectClipsTBL)
*clipclipNameLB.borderWidth:   0

MakeLBandTF(*clipRunObjectLB,*clipRunObjectTF,  Animation Object Name:)
MakeLBandTF(*clipDspIntervalLB,*clipDspIntervalTF, Display Interval (msec):)


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*clipSpecModeTBL.wcCreate:	       XmpTable
*clipSpecModeTBL.wcChildren:	       clipJustificationTitle,  \
				       clipJustificationBttn
UnifiedBorderWidth(*clipSpecModeTBL)
*clipSpecModeTBL.layout:	       clipJustificationTitle  0 0 WH; \
				       clipJustificationBttn   0 1

UnifiedTitle(clipJustificationTitle, <<<<< Animation Model >>>>>)

*clipJustificationBttn.wcCreate:       XmpTable
*clipJustificationBttn.wcChildren:     clipSpecRADIOBOX

*clipSpecRADIOBOX.wcCreate:	       XmRowColumn
*clipSpecRADIOBOX.wcChildren:	       lt,lm,mt,rt,lr,mr
      
*clipSpecRADIOBOX.indicatorType:       ONE_OF_MANY
*clipSpecRADIOBOX.radioBehavior:       True
*clipSpecRADIOBOX.numColumns:	       3
*clipSpecRADIOBOX.packing:	       PACK_COLUMN
!!*clipSpecRADIOBOX.borderWidth:	       4

MakeToggleButton(*clipSpecRADIOBOX.lt, Fixed Location)
*clipSpecRADIOBOX.lt.armCallback: \
         WcSetValue(*clipField1LB.labelString: X Location:)  \
         WcSetValue(*clipField2LB.labelString: Y Location:)  \
         WcSetValue(*clipField3LB.labelString: -:) \
         WcSetValue(*clipField4LB.labelString: -:) 

MakeToggleButton(*clipSpecRADIOBOX.lr, Blinking)
*clipSpecRADIOBOX.lr.armCallback: \
         WcSetValue(*clipField1LB.labelString: X Location:)  \
         WcSetValue(*clipField2LB.labelString: Y Location:)  \
         WcSetValue(*clipField3LB.labelString: -:) \
         WcSetValue(*clipField4LB.labelString: -:) 

MakeToggleButton(*clipSpecRADIOBOX.mt, Glide)
*clipSpecRADIOBOX.mt.armCallback: \
         WcSetValue(*clipField1LB.labelString: Initial X Location:)  \
         WcSetValue(*clipField2LB.labelString: Initial Y Location:)  \
         WcSetValue(*clipField3LB.labelString: Direction (dx dy):) \
         WcSetValue(*clipField4LB.labelString: Bounding Box (x y width height):) 
*clipSpecRADIOBOX.mt.set: True
MakeToggleButton(*clipSpecRADIOBOX.rt, Fly)
*clipSpecRADIOBOX.rt.armCallback: \
         WcSetValue(*clipField1LB.labelString: x(z) = :)  \
         WcSetValue(*clipField2LB.labelString: y(z) = :)  \
         WcSetValue(*clipField3LB.labelString: z (start,end,incr,init) = :) \
         WcSetValue(*clipField4LB.labelString: -:) 
MakeToggleButton(*clipSpecRADIOBOX.lm, Random Location)
*clipSpecRADIOBOX.lm.armCallback: \
         WcSetValue(*clipField1LB.labelString: Bounding Box X:)  \
         WcSetValue(*clipField2LB.labelString: Bounding Box Y:)  \
         WcSetValue(*clipField3LB.labelString: Bounding Box Size (Width height):) \
         WcSetValue(*clipField4LB.labelString: :) 
MakeToggleButton(*clipSpecRADIOBOX.mr, Locus)
*clipSpecRADIOBOX.mr.armCallback: \
         WcSetValue(*clipField1LB.labelString: Locus Name:)  \
         WcSetValue(*clipField2LB.labelString: Translation x:)  \
         WcSetValue(*clipField3LB.labelString: Translation y:) \
         WcSetValue(*clipField4LB.labelString: -:) 


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*clipdstModeTBL.wcCreate:              XmpTable
*clipdstModeTBL.wcChildren:            clipDstingTitle,  \
                                       clipDstingBttn
UnifiedBorderWidth(*clipdstModeTBL)
*clipdstModeTBL.layout:                clipDstingTitle  0 0 WH; \
                                       clipDstingBttn   0 1


UnifiedTitle(clipDstingTitle, <<<<< Output Destination >>>>>)

*clipDstingBttn.wcCreate:         XmpTable
*clipDstingBttn.wcChildren:       clipDstRADIOBOX

*clipDstRADIOBOX.wcCreate:        XmRowColumn
*clipDstRADIOBOX.wcChildren:      lt,mt

*clipDstRADIOBOX.indicatorType:   ONE_OF_MANY
*clipDstRADIOBOX.radioBehavior:   True
*clipDstRADIOBOX.numColumns:      3
*clipDstRADIOBOX.packing:         PACK_COLUMN
!!*clipDstRADIOBOX.borderWidth:     4

MakeToggleButton(*clipDstRADIOBOX.lt,  Drawing Area)
*clipDstRADIOBOX.lt.set: True
MakeToggleButton(*clipDstRADIOBOX.mt,  Root Window)


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*clipboundaryModeTBL.wcCreate:         XmpTable
*clipboundaryModeTBL.wcChildren:       clipBoundaryingTitle,  \
                                       clipBoundaryingBttn
UnifiedBorderWidth(*clipboundaryModeTBL)
*clipboundaryModeTBL.layout:           clipBoundaryingTitle  0 0 WH; \
                                       clipBoundaryingBttn   0 1


UnifiedTitle(clipBoundaryingTitle, <<<<< Boundary Condition for Fly/Locus Mode >>>>>)

*clipBoundaryingBttn.wcCreate:         XmpTable
*clipBoundaryingBttn.wcChildren:       clipBoundaryRADIOBOX

*clipBoundaryRADIOBOX.wcCreate:        XmRowColumn
*clipBoundaryRADIOBOX.wcChildren:      lt,mt,rt

*clipBoundaryRADIOBOX.indicatorType:   ONE_OF_MANY
*clipBoundaryRADIOBOX.radioBehavior:   True
*clipBoundaryRADIOBOX.numColumns:      3
*clipBoundaryRADIOBOX.packing:         PACK_COLUMN
!!*clipBoundaryRADIOBOX.borderWidth:     4

MakeToggleButton(*clipBoundaryRADIOBOX.lt,  Wrap)
*clipBoundaryRADIOBOX.lt.set: True
MakeToggleButton(*clipBoundaryRADIOBOX.mt,  Bounce)
MakeToggleButton(*clipBoundaryRADIOBOX.rt,  Disappear)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*cliptrailModeTBL.wcCreate:            XmpTable
*cliptrailModeTBL.wcChildren:          clipTrailingTitle,  \
                                       clipTrailingBttn
UnifiedBorderWidth(*cliptrailModeTBL)
*cliptrailModeTBL.layout:              clipTrailingTitle  0 0 WH; \
                                       clipTrailingBttn   0 1

UnifiedTitle(clipTrailingTitle, <<<<< Trailing Mode >>>>>)

*clipTrailingBttn.wcCreate:            XmpTable
*clipTrailingBttn.wcChildren:          clipTrailRADIOBOX

*clipTrailRADIOBOX.wcCreate:           XmRowColumn
*clipTrailRADIOBOX.wcChildren:         lt,mt,rt,lm

*clipTrailRADIOBOX.indicatorType:      ONE_OF_MANY
*clipTrailRADIOBOX.radioBehavior:      True
*clipTrailRADIOBOX.numColumns:         4
*clipTrailRADIOBOX.packing:            PACK_COLUMN
!!*clipTrailRADIOBOX.borderWidth:        4

MakeToggleButton(*clipTrailRADIOBOX.lt,Perserve)
*clipTrailRADIOBOX.lt.set: True
MakeToggleButton(*clipTrailRADIOBOX.mt,Wipe out)
MakeToggleButton(*clipTrailRADIOBOX.rt,Leave)
MakeToggleButton(*clipTrailRADIOBOX.lm,Rainbow)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*clipSpecButtonTBL.wcCreate:	       XmpTable
*clipSpecButtonTBL.wcChildren:	       cliprehearse, clipstop, \
                                       clipSave, clipCancel
*clipSpecButtonTBL.layout:	       cliprehearse 0 0 ; \
				       clipstop     1 0 ; \
				       clipSave     2 0 ; \
				       clipCancel   3 0

globalButtonSpacing(clipSpecButtonTBL)

MakePushButton(cliprehearse, Rehearse,XetAction(cliprehearse))
MakePushButton(clipstop,     Delete Rehearse,XetAction(clipstoprehearse))
MakePushButton(clipSave,     Register, XetAction(clipSave))
MakePushButton(clipCancel, Cancel,XetAction(clipCancel) WcDestroy(clipSetupTBL))



