#include "motif.macros"

MakePanel(editRunTBL,runParamTBL,  Edit Runing Object)

*runParamTBL.wcCreate:          XmpTable
UnifiedTableLayout(*runParamTBL)
*runParamTBL.wcChildren:	runSpecInfoTBL, \
                                runtrailModeTBL, \
			        runboundaryModeTBL, \
				runtermCriteriaTBL, \
	                        runSpecButtonTBL,   \
				rundstModeTBL

*runParamTBL.Layout:            runSpecInfoTBL     0 0 WH; \
                                runtrailModeTBL    0 1; \
				rundstModeTBL      0 2; \
			        runboundaryModeTBL 0 3; \
				runtermCriteriaTBL 0 4; \
	                        runSpecButtonTBL   0 5


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*runSpecInfoTBL.wcCreate:       XmpTable
*runSpecInfoTBL.wcChildren:     runSpecTitleLB, runSpecFields
*runSpecInfoTBL.layout:         runSpecTitleLB 0 0 WH; runSpecFields 0 1
UnifiedBorderWidth(*runSpecInfoTBL)

UnifiedTitle(runSpecTitleLB, <<<<< Run Specification >>>>>)

*runSpecFields.wcCreate:        XmpTable
*runSpecFields.wcChildren:	\
				runField6LB,      \
				runField5LB,      \
				runClipNameLB,      \
				runField3LB,      \
				runField4LB,      \
				runField1LB,      \
				runField2LB,      \
				runRunObjectLB,   \
				runDspIntervalLB, \
				runField6TF,      \
				runField5TF,      \
				runClipNameTF,      \
				runField3TF,      \
				runField4TF,      \
				runField1TF,      \
				runField2TF,      \
				runRunObjectTF,   \
				runDspIntervalTF


*runSpecFields.layout: 	\
                          runRunObjectLB    0 0 ;  \
                          runClipNameLB       0 1 ;  \
                          runDspIntervalLB  0 2 ;  \
			  runField1LB       0 3 ;  \
                          runField2LB       0 4 ;  \
			  runField3LB       0 5 ;  \
                          runField4LB       0 6 ;  \
			  runField5LB       0 7 ;  \
			  runField6LB       0 8 ;  \
                          runRunObjectTF    1 0;   \
			  runClipNameTF       1 1;   \
                          runDspIntervalTF  1 2;   \
			  runField1TF       1 3;   \
			  runField2TF       1 4;   \
			  runField3TF       1 5;   \
 			  runField4TF       1 6;   \
                          runField5TF       1 7;   \
                          runField6TF       1 8


*runSpecFields*fontList:   -*-lucida-bold-r-normal-*-12-*-75-75-*-*-*-*@@\

MakeLBandTF(*runField1LB,*runField1TF, Initial X Location:)
MakeLBandTF(*runField2LB,*runField2TF, Initial Y Location:)
MakeLBandTF(*runField3LB,*runField3TF, dx:)
MakeLBandTF(*runField4LB,*runField4TF, dy:)
MakeLBandTF(*runField5LB,*runField5TF, Run Mode:)
*runField5TF.sensitive:  False
MakeLBandTF(*runField6LB,*runField6TF, -:)
MakeLBandTF(*runClipNameLB,*runClipNameTF, Clip Names :)
MakeLBandTF(*runRunObjectLB,*runRunObjectTF,    Run Object Name:)
*runRunObjectTF.sensitive:  False
MakeLBandTF(*runDspIntervalLB,*runDspIntervalTF, \   \     \     \            Display Interval (msec):)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*rundstModeTBL.wcCreate:              XmpTable
*rundstModeTBL.wcChildren:            runDstingTitle,  \
                                      runDstingBttn
UnifiedBorderWidth(*rundstModeTBL)
*rundstModeTBL.layout:                runDstingTitle  0 0 WH; \
                                      runDstingBttn   0 1


UnifiedTitle(runDstingTitle, <<<<< Output Destination >>>>>)


*runDstingBttn.wcCreate:         XmpTable
*runDstingBttn.wcChildren:       runDstRADIOBOX

*runDstRADIOBOX.wcCreate:        XmRowColumn
*runDstRADIOBOX.wcChildren:      lt,mt

*runDstRADIOBOX.indicatorType:   ONE_OF_MANY
*runDstRADIOBOX.radioBehavior:   True
*runDstRADIOBOX.numColumns:      3
*runDstRADIOBOX.packing:         PACK_COLUMN
!!*runDstRADIOBOX.borderWidth:     4

MakeToggleButton(*runDstRADIOBOX.lt,  Drawing Area)
MakeToggleButton(*runDstRADIOBOX.mt,  Root Window)


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*runboundaryModeTBL.wcCreate:         XmpTable
*runboundaryModeTBL.wcChildren:       runBoundaryingTitle,  \
                                      runBoundaryingBttn
UnifiedBorderWidth(*runboundaryModeTBL)
*runboundaryModeTBL.layout:           runBoundaryingTitle  0 0 WH; \
                                      runBoundaryingBttn   0 1


UnifiedTitle(runBoundaryingTitle, <<<<< Boundary Condition for Fly/Locus Mode >>>>>)


*runBoundaryingBttn.wcCreate:         XmpTable
*runBoundaryingBttn.wcChildren:       runBoundaryRADIOBOX

*runBoundaryRADIOBOX.wcCreate:        XmRowColumn
*runBoundaryRADIOBOX.wcChildren:      lt,mt,rt

*runBoundaryRADIOBOX.indicatorType:   ONE_OF_MANY
*runBoundaryRADIOBOX.radioBehavior:   True
*runBoundaryRADIOBOX.numColumns:      3
*runBoundaryRADIOBOX.packing:         PACK_COLUMN
!!*runBoundaryRADIOBOX.borderWidth:     4

MakeToggleButton(*runBoundaryRADIOBOX.lt,  Wrap)
MakeToggleButton(*runBoundaryRADIOBOX.mt,  Bounce)
MakeToggleButton(*runBoundaryRADIOBOX.rt,  Disappear)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*runtrailModeTBL.wcCreate:         XmpTable
*runtrailModeTBL.wcChildren:       runTrailingTitle,  \
                                   runTrailingBttn
UnifiedBorderWidth(*runtrailModeTBL)
*runtrailModeTBL.layout:           runTrailingTitle  0 0 WH; \
                                   runTrailingBttn   0 1


UnifiedTitle(runTrailingTitle,  <<<<< Trail Mode >>>>>)


*runTrailingBttn.wcCreate:        XmpTable
*runTrailingBttn.wcChildren:      runTrailRADIOBOX

*runTrailRADIOBOX.wcCreate:       XmRowColumn
*runTrailRADIOBOX.wcChildren:     lt,mt,rt,lm

*runTrailRADIOBOX.indicatorType:  ONE_OF_MANY
*runTrailRADIOBOX.radioBehavior:  True
*runTrailRADIOBOX.numColumns:     4
*runTrailRADIOBOX.packing:        PACK_COLUMN
!!*runTrailRADIOBOX.borderWidth:    4

MakeToggleButton(*runTrailRADIOBOX.lt,  Perserve)
MakeToggleButton(*runTrailRADIOBOX.mt,  Wipe out)
MakeToggleButton(*runTrailRADIOBOX.rt,  Leave)
MakeToggleButton(*runTrailRADIOBOX.lm,  Rainbow)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*runtermCriteriaTBL.wcCreate:         XmpTable
*runtermCriteriaTBL.wcChildren:       runtermCritTitle,  \
                                      runtermCritBttn
UnifiedBorderWidth(*runtermCriteriaTBL)
*runtermCriteriaTBL.layout:           runtermCritTitle  0 0 WH; \
                                      runtermCritBttn   0 1

UnifiedTitle(runtermCritTitle, <<<<< Termination Criteria >>>>>)


*runtermCritBttn.wcCreate:            XmpTable
*runtermCritBttn.wcChildren:          runTermcritRADIOBOX

*runTermcritRADIOBOX.wcCreate:        XmRowColumn
*runTermcritRADIOBOX.wcChildren:      lt,mt,rt,lm

*runTermcritRADIOBOX.indicatorType:   ONE_OF_MANY
*runTermcritRADIOBOX.radioBehavior:   True
*runTermcritRADIOBOX.numColumns:      4
*runTermcritRADIOBOX.packing:         PACK_COLUMN
!!*runTermcritRADIOBOX.borderWidth:     4

MakeToggleButton(*runTermcritRADIOBOX.lt,  Maximum Moves)
*runTermcritRADIOBOX.lt.set:  True
*runTermcritRADIOBOX.lt.armCallback: \
         WcSetValue(*runField6LB.labelString: Termination (Maximum Moves):)  
MakeToggleButton(*runTermcritRADIOBOX.mt,  Position)
*runTermcritRADIOBOX.mt.armCallback: \
         WcSetValue(*runField6LB.labelString: Termination (position/region):)  
MakeToggleButton(*runTermcritRADIOBOX.rt,  Wall Clock)
*runTermcritRADIOBOX.rt.armCallback: \
         WcSetValue(*runField6LB.labelString: Termination (Wall Clock):) 
MakeToggleButton(*runTermcritRADIOBOX.lm,  Time Interval)
*runTermcritRADIOBOX.lm.armCallback: \
         WcSetValue(*runField6LB.labelString: Termination (Time Interval msec):)  

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*runSpecButtonTBL.wcCreate:      XmpTable
*runSpecButtonTBL.wcChildren:    runReset, runUpdate,  runFreeze, runUnfreeze,\
                                 runCancel, runReverse, runReverseClip
*runSpecButtonTBL.layout:        runUpdate       0 0 ; \
                                 runFreeze       1 0 ; \
                                 runUnfreeze     2 0 ; \
				 runReset        3 0 ; \
				 runReverse      4 0 ; \
				 runReverseClip  5 0 ; \
                                 runCancel       6 0

globalButtonSpacing(runSpecButtonTBL)

MakePushButton(runUpdate,  Update,   XetAction(runUpdate))
MakePushButton(runFreeze,  Freeze,   XetAction(runFreeze))
MakePushButton(runUnfreeze,  Unfreeze,   XetAction(runUnfreeze))
MakePushButton(runReverse, Reverse Course,  XetAction(runReverse))
MakePushButton(runReverseClip, Reverse Clip,  XetAction(runReverseClip))
MakePushButton(runReset,   Reset,    XetAction(runReset))
MakePushButton(runCancel,  Cancel,   WcDestroy(^^^))



