# awk filter to change @@ to new line
# useful to get newlines back into cpp output
{
   x = $0;
   
   while (length(x))
   {
      i = index(x, "@@");
      
      if (i == 0)
      {
         printf "%s", x;
         x = "";
      }
      else
      {
	 print substr(x, 1, i-1);
	 x = substr(x, i + 2);
      }
   }
   print "";
}

