#include "motif.macros"


MakePanel(locusTBL,locusTBLTBL, Locus Setup Form)
locusTBL.wcAfterManageChildren:    XetAction(locusInfo)

*locusTBLTBL.wcCreate:             XmpTable
UnifiedTableLayout(*locusTBLTBL)
*locusTBLTBL.wcChildren:	   locusInfoTBL,     \
                                   locusListTBL

*locusTBLTBL.Layout:               locusInfoTBL     0 0; \
                                   locusListTBL     0 1 


!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*locusInfoTBL.wcCreate:            XmpTable
*locusInfoTBL.wcChildren:          locusTitleLB, \
                                   locusFields,  \
				   locusTopButtonTBL

*locusInfoTBL.layout:              locusTitleLB      0 0 WH; \
                                   locusFields       0 1; \
				   locusTopButtonTBL 0 2

UnifiedBorderWidth(*locusInfoTBL)

UnifiedTitle(locusTitleLB,  <<<<< Define a New Locus >>>>>)


*locusFields.wcCreate:             XmpTable
*locusFields.wcChildren:	   locusNameLB,       \
				   locusmaxPointsLB,  \
				   locuspointColorLB, \
				   locuspointSizeLB,  \
				   locusNameTF,       \
				   locusmaxPointsTF,  \
				   locuspointColorTF, \
				   locuspointSizeTF


*locusFields.layout:		   locusNameLB       0 0; \
				   locuspointColorLB 0 1; \
				   locuspointSizeLB  0 2; \
				   locusmaxPointsLB  0 3; \
				   locusNameTF       1 0; \
				   locuspointColorTF 1 1; \
				   locuspointSizeTF  1 2; \
				   locusmaxPointsTF  1 3



*locusFields*fontList:   -*-lucida-bold-r-normal-*-12-*-75-75-*-*-*-*@@\

MakeLBandTF(*locusNameLB,*locusNameTF,             Locus Name:)
MakeLBandTF(*locuspointColorLB,*locuspointColorTF, Point Color:)
MakeLBandTF(*locuspointSizeLB,*locuspointSizeTF,   Point Size):)
MakeLBandTF(*locusmaxPointsLB,*locusmaxPointsTF,   Max Number of Points:)

*locusTopButtonTBL.wcCreate:         XmpTable
*locusTopButtonTBL.wcChildren:       locusRead,locusDefine, \
                                     locusAccept, locusIgnore

*locusTopButtonTBL.layout:           locusDefine 0 0; \
				     locusAccept 1 0; \
				     locusIgnore 2 0; \
				     locusRead   3 0

globalButtonSpacing(locusTopButtonTBL)

MakePushButton(locusDefine, Define Locus, XetAction(locusDefine))
MakePushButton(locusAccept, Accept,       XetAction(locusAccept))
*locusAccept.sensitive: False
MakePushButton(locusIgnore, Ignore,        XetAction(locusIgnore))
*locusIgnore.sensitive: False
MakePushButton(locusRead, import,   WcCreateRootCB(LoadlocusFSB) WcSetInsensitive(this) )
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
*locusListTBL.wcCreate:             XmpTable
*locusListTBL.wcChildren:           locusListSWTitle, \
                                    locusListSWTBL,   \
				    locusButtonTBL

*locusListTBL.layout:               locusListSWTitle   0 0 WH; \
				    locusListSWTBL     0 1; \
				    locusButtonTBL     0 2
UnifiedBorderWidth(*locusListTBL)

UnifiedTitle(locusListSWTitle, <<<<< List of Available Loci >>>>>)


*locusListSWTBL.wcCreate:       XmpTable
*locusListSWTBL.wcChildren:     locusList

MakeListWidget(*locusList,6)

*locusList.wcPopups:            locusPopupMenu
*locusList.translations:   #override \n <Btn3Down>: XmpPopup( this*locusPopupMenu)

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

*locusButtonTBL.wcCreate:           XmpTable
*locusButtonTBL.wcChildren:         \
                                    locusDeleteAll, \
                                    locusClear,     \
                                    locusCancel

*locusButtonTBL.layout:             locusDeleteAll   0 0; \
                                    locusClear       1 0; \
                                    locusCancel      2 0

globalButtonSpacing(locusButtonTBL)

MakePushButton(locusShow, Show,   XetAction(locusShow))
MakePushButton(locusWrite, Write,  WcSetInsensitive(this) XetAction(prewriteLocus))
MakePushButton(locusDup,  Duplicate,   XetAction(locusDup))
MakePushButton(locusEdit, Edit,    XetAction(editLocusPoints))
MakePushButton(locusRename, Rename, WcSetInsensitive(this) XetAction(locusRename))   
MakePushButton(locusClear, Clear,   XetAction(locusClear))
MakePushButton(locusPaste, Paste,   XetAction(locusPaste))

MakePushButton(locusDelete, Delete, XetAction(locusDelete))
MakePushButton(locusDeleteAll, Delete All, XetAction(locusDeleteAll))
MakePushButton(locusCancel, Cancel,XetAction(locusCancel) WcDestroy(locusTBL*locusPopupMenu) WcDestroy(locusTBL))
 

*locusPopupMenu.wcConstructor:	XmCreatePopupMenu
*locusPopupMenu.wcChildren: locusShow,locusWrite,locusDup,locusEdit,\
                            locusRename, locusPaste, \
                            locusDelete




