//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#ifndef GFONT_H
#define GFONT_H

#include <X11/Intrinsic.h>

class GFont {
protected:
  Display     *Dpy;
  char        *realFontName;
  int          maxFontInList;
  int          screen;
  XFontStruct *xfs;
public:
  GFont(Display *d,int maxfl = 200);
  ~GFont();
  int          SetFont(char *pattern);
  int          IsScalableFont(char *name);
  XFontStruct *LoadQueryScalableFont(int size);
  int          Width(char *s);
  int          Height(char *s);
};


#endif
