            things need to be done

1. scheduler should use symbolic name to indicate object not slot number

   << done 9/10/1992 >>

2. rehearse should fill out the scheduler slot field in clipsetup.r
   so delete rehearse can use this number to delete
 
   <<< not necessary as long as the item 1. is implemented >>>

3. don't save the entire background image, save a method to construct a
   background when importing an xetfile

   <<< to do so may be way too complicate, decision was made to keep the 
       current implementation 9/12/1992 >>>
   <<< 11/20/1992 added paintdrawingarea action, so background can be printed
       but the imstructures can not be saved >>

4. a) draw background should have two modes, namely, overwrite and replace
      therefore images can be overlapped
   b) the background canvas size field may not necessary since it is already 
      on the status mode line

   << done 9/12/1992 >>

5. should have the capability to collage clips to make background

6. rename background to some other name, since background is a kind of
   misleading

7. all char buf[20] should be replaced by allocated memory instead

   << done 9/15/1992 >>>

8. should use  alloca()  to allocate memory on stack, whenever necessary

9. a view clip panel, which shows all attributes of a clip, some of the
   fields may be modifiable.

   << done 9/11/1992 >>

10. may take off the clip size from clip list, only need clip name.

    <<< no decision was made, leave it as is 9/16/1992 >>>

11. added rersize to hash class

    <<< done 9/16/1992 >>>

12. add reset/reverse button to the editRun.r

    << done 9/10/1992 >>

13. need a directory class to calculate effective directory for 
    read/write/intermidiate use

    << see item 34. >>>

14. need a .xetrc to read default set up 

    << done 10/2/1992 >>

15. update contents of opened panels, especally the spooler panel

    <<< several panels already have this feature 9/12/1992 >>>
    <<< shceduler and spooler panel are done   9/18/1992 >>>>


16. LocusTable::buildLocusXmList(Widget w) 
    should add a sort

    << done 9/11/1992 >> 

17. put a lock on a clip -- so that if a lock is on a clip it can not be 
    deleted  since the scheduler is still using it. Use lock counter to
    see how many others (scheduler, background) are using it

    << done 9/14/1992 >>

18. add a flag so messages can go to stdout instead of info window

    << decision was made no need to do this 10/2/1992 >>

19. serious bug -- load /xetfile/running/cat4.xet
                   write it out will cause X protocol error.

     << fixed 9/11/1992 >>
     
     move out XET->removeXtAddInput(pt->xfd) from signal handler
     added scheduler::suspend() and scheduler::resume(), it is another
     place which causes  X protocol error.

20. need more states for the mode line, such as 
    ready, read/write xetfile, define locus, suspend/resume running,
     
     1) a subprocess is running   
     2) an image is imported
     3) no subprocess is running
 
     1) one or more animation object are running
     2) all animation objects are frozen

     1) defining locus is in progress

     1) writing xetfile/image/locus/scheduler is in progress
     2) reading image/xetfile/locus is in progress

     (1) spooler  :  10 jobs
     (2) scheduler:  20 running objects
     (3) status   :  I/O, define locus, ready
                     xetfile read/write 

     <<< done 10/3/1992, but status still need some work >>>

21. Do I need to implement undo ?

    <<< no not in this release 9/12/1992 >>>

22. combine several rename into one, since there all duplicated code

23. implement clipDiff, so only put pixel values which are different
    use drawPoint, need expernment  to see the performance.

    <<< will not do it in this version 9/18/1992 >>>

24. change cursor on grab mode. may be other place also need different 
    cursor

25. paste pixval from color pallet to appropriated fileds

    << done 9/14/1992  >>>

26. should have some kind of visial feedback on colorPanel
    pixval = 189 RGB = (134,256,789) is not enough
    may highlight the selected square 
    or  have a separate box which draws the selected color

    <<< done 9/18/1992 >>>

27. change all DisplayImage() to DisplayImage(Widget, Pixmap, x, y, w,h);
    if (Pixmap == 0) then 
      putimage to widget
    else
      putimage to pixmap
   
    this can combine the  2 DisplayImage() in clip.cc into one routine.

    <<< done 9/13/1992 also added a pixval to paint non-maskable area>>>

28. need a dup function to duplicate clips so different mask can be added to
    the same clip
    alternative is to have a list of masks which can be apply to the same 
    clips. I need to think about it.

    <<< added ClipdTable::dup(), but the individual clips is not implemented
        which means it only copies the first level. The original can not
        be deleted, may be I can use refcounter to make this work >>>

    <<< yes I did, added Original in clip.h which points to the original
        clip 9/19/1992, now how to deal this in the  xetfile>>>
        syntax in the xetfile should be 
        original clip:ltogi2:ltogi2.ppm:ltogi2.mask:32:32 
	new syntax clip:ltogi2_copy:->ltogi2

    finall comments, unless you can duplicate the entire clip class otherwise
    it is useless, since you can not attach a different clipMask. to duplicate 
    the entire class means I have to implement dup() function for each child
    of the clip class. I will leave a stub for now. 9/16/1992

    if I move the pixmap variable from clip.h to it's child then it will be
    much easier.

    << done 9/30/1992, can duplicate the entire clip >>>

29. since a run_locus object has a copy of Locus. The original locus
    in the locusPoool may be renamed or deleted. when writing out an
    xetfile. each run_locus should write out its own locus object.
     I need to think about it.

    locus class will remain unchanged.
    RunLocus will keep all run infomation and a pointer to the original Locus.
    The original locus will keep a reference counter, when rename a locus will
    cause no problem.

    << done 10/29/1992 >>


30. need a dup function for duplicating a locus
    <<< done 9/15/1992 >>>

31. need some work on expr.{cc,h} regarding  the following struct
     typedef struct {
            char    name[20];
            double  value;
     } ValuedSymbol;

    <<< 9/16/1992 decision was made, leave it as is >>>

32. serious bug. when run objects are running, can not open popupgrab
    dialog box. it just crashed.

    << 9/15/1992 it only happens on R4 server, it works fine on R5>>

33. all cancel buttons must check to see it got a (null) widget or not
    if it is a null widget then don't pass it to XtSetSensitive()
    use the genericCancel() for all cancel buttons

    <<< 9/16/1992 done >>>

34. policy on writing out xetfile
    must specify a directory and a filename.
    if (directory == NULL)
        then write the xetfile and all images to the current directory
        <<current directory is assigned at initialization stage and can be>>
        <<changed by using the configENV panel.                           >>
    if (directory[0] == '/')
        no problem it is an absolute path
    if (directory[0] != '/')
        make the effective directory as current directory + directory
    if (directory[0] == '~')
        use it as in the csh expand ~ to $HOME

    if the effective directory doesn't exist then we mkdir it.

    if the directory already has stuff in it then should ask users to 
    overwrite it or not. (only ask it in whole not in file by file basis)
    
    trying to write a clip/mask file which is already exist
     in overwrite mode just write it again
     in don't override mode 

     <<< done 9/16/1992 >>

35. All updateXmList routine need to be rewritten so it looks better
    when updating the XmList. Now I just delete them all the rebuilt it.

   
36. bug -- read xetfile (running/cat4.xet) cause scheduler crash

    <<< fixed, 9/20/1992, ~cutbgImage() shouldn't free background image >>>

37. simplify the import image panel
    a. do I really need the image info section ?
       answer :: added a "fetch info" button so if they want to get info 
,                they click this button otherwise they use importimage to
                 actually import image
    b. added use number/cmap to quantize color
       default use number 
          if number is not specified set it to 254
          if cmap is not specified write out the currentCmap and use it
    c. should read GIF directly.
      <<no! the whole philosophy is to allow image transformation before import
      <<therefore any image format is ok as long as it can be transformed into
      <<ppm format.
    d. after an image is read shall I delete the corresponding ppm file ?
       answer :: set an optional flag so it can be deleted or not 
    e. 

    << mostly done 10/5/1992 >>>

38. change run_bounce to run_glide
 
    <<< done 9/23/1992 >>>

39. make backgroundImage, da_width, and da_heigh as global variable

     <<< done  9/23/1992 >>>

40. shorten some resource names, some of the names are too long
    should use key letters (2 letters) to distinguish each panel

    CE  -- configure environment
    SP  -- spooler
    LD  -- load xetfile
    SV  -- save xetfile

    IP  -- import clips
    TX  -- text
    SM  -- shape mask
    LS  -- locus
    SH  -- snapshot panel
    BG  -- background set up
    EL  -- edit locus

    SD  -- scheduler
    AS  -- animation setup
    CC  -- configure clip
    ER  -- edit run object
    CA  -- clip atrtributes

    CL  -- color selection panel
    LC  -- load colormap
    SC  -- save color map

    RN  -- rename panel
    WT  -- various write panel

41. some of the file name need to be renamed
    editRun.r  -----> animSetup.r

42. in clip.cc
      // the following statement causes crash comment out for now
      //XCopyArea(XtDisplay(d_area),shapeMask,partialpix,loc_gc,
	//	w-(int)dsp_width,h-(int)dsp_height,dsp_width,dsp_height,0,0);
      XSetClipMask(XtDisplay(d_area),loc_gc,partialpix);
    }

43. need some program to generate random pattern for background
    the cloud or some fractal programs

   << done 10/5/1992 >>

44. may want to provide a bounding box for run_random.

    << done 9/28/1992 >>>

45. bug: click "defineLocus" button then "click" accept button 
    << fixed 9/26/1992 >>>
    
46. do I really need the WORKING_DIRECTORY 

    << of course, for holding all tempoeratory images >>>

47. if resize the canvas to a smaller window then a bouncing object may 
    disappear, it doen't sound right.
    maybe: resize event can call  scheduler->reset();

    << done 9/27/1992 >>>    

48. Does each panel need a help button ?

49. Do I have build a installed directory or XETROOT=/public/x/local
    If I have this path I can store many help files and icons and
    some background images there.

   << done 10/5/1992 $XETROOT/data/{help,icons,cmap} will be installed dir >>

50. need a confirmation on "destroy background"

    <<< done 10/7/1992 >>>

51. added read/write locus to ascii file

    <<< done 9/26/1992 >>>

52. should a  locus be stored in a xetfile or a separate file
    I think it is better to have it in a separate file, this will make the
    xet file much simpler. Now I need to added a field that is the diskfileName
    in locus structure.
    
    change locus:name:10  ==> locus:name:diskfilename:points
   
    << done 9/27/1992 >>>

53. need several global formats to define stuff in the XmList
    char *locusFormat   = "   %s   (%d points)";
    char *clipFormat    = "   %s   (%d x %d)  Status = %s";
    char *schedFormat   = "   %s   %s   %d  Status = %s";
    char *spoolerFormat = "%12s -- %s";
    char *regionFormat  = "%d %d %d %d";
    Format may be defined as static member

    << did several of them 9/28/1992 >>>

54. need to re-examine all the path. it seems to me the pathname in xetfile
    is not consistent

55. need more protection on reading xetfile.


56. dunplicate clip with shapemask cause crash.
    if I can not resolve this then I can write out a shapemask then read back
    in. no one will notice this

    << did it 9/28/1992 >>

57. may need the following routine
    extractClipName(char *buf, char *clipName);
    extractLocusName(char *buf, char *);
    .....
    This can get rid of some duplicated code

    << no no no don't need it 10/1/1992 >>>

58. in shapeMask panel, if spot size of spray > 6  ==> it doesn't work

    << not true any more 10/1/1992 >>>

59. when a hash table is full, it should resize itself

    << done 9/30/1992 not fully tested yet >>>

60. add a line number on xetLoad so we can report which line has syntax error

    << did it 10/2/1992, but not fully implemented >>

61. keep dup clips will cause all clipnames wrong

    << fixed it 10/1/1992 >>

62. add "change shape mask mode" (solid or hollow) in configClip panel.

    << 10/2/1992 it is not feasible, since the shapeMask needs to be reversed
       and also need to add a variable to keep the current state of 
       solid/hollow, etc... too much trouble forget it >>>>

63. some time got the following message
   Warning: 
    Name: configClipsChangeStatus
    Class: XmCascadeButton
    Only XmMENU_PULLDOWN XmRowColumnWidgets can be submenus.

64. need to revisit the title of help panel

65. need to revisit all window titles.

66. since it is allowed to unmanage infoTXT widget, it is necessary to
    have an indicator the current state of Xet, when an image is loaded.

    << see item 86. change cursor shape as indicator >>

67. may need something like "dont block x event" when doing a long
    processing, like load xetfile.

68. need an option say don't write background when writing out xetfile.

    << done 10/9/1992 added more options on save xetfile panel >>

69. get rid of "ready" on mode line, it is only used for defining locus
    define locus can be indicated by setting "define" and "accept" to
    sensitive or insensitive.

    << done sometime in OCtober 1992 >>

70. how do I add a simple sound effect ?
    attach to only one running clip.

    1. a list of sound files which can be played one by one in a 
       scheduled interval

    2. sound  ==>  1. load sound file
                   2. sound effect setup

71. grid on/off

    << done sometime in OCtober 1992 >>

72. make a "misc" button contains
    1. Display spooler queue
    2. set background image
    3. list of clips
    4. define locus
    5. demo

    << 10/5/1992  done >>>

73. implement get info for .jpeg files 

    << 10/5/1992  done >>>

74. The ProcSpooler::DeleteAll() needs to terminate the current running
    subprocess.

    << 10/6/1992 done >>

75. if import image size less then canvas size may not want to use 
    pnmscale -xysize option.

76. add a pnmsmooth option
    << done 10/6/1992 >>
77. add a ppmshear
    << done 10/6/1992 >>
78. add ppmforge for creating backgrounds
    << done 10/6/1992 >>

79. in system parameters, the standard colormap, what to do with it ?
    1. may create $XETROOT/data/colormap/std.map
       it is an optimalized cmap, 
       if user select private cmap witout a cmap name 
            then xet use std.map.
       if user select quantize with ppm file without a file name
            then use std.map to quantize image
    2. reserve several cells for Xet itself, palgreen, sky blue, white,blcak,
       peachpuff3, tan , and darkblue. 

80. should write a small setion of code which draws a color pixmap xet logo
    then install the logo to the xetLogo Label widget.
    may also blow up the image to fit it into the background.

    << see 87. 88.>>

81. should have sensitive/insensitive buttons for help facilities.

82. The default window should have some red color.

83. fix the spool queue according to the specification on the help file.
    use XmLabel widget for the queue status instead of XmTextField.

    << done 10/8/1992 >>

84. In loading xetfile, may need a flag to say ignore or overwirte duplicated 
    items. This flag should be set in the 
    (1) system paramter panel
    (2) load panel, but it is only a motif file browser

85. allow user to set fixed size drawing area

    << done 10/9/1992 >>
   
86. change cursor on defining locus,
    change cursor on read/write 
    It is easier to identify the state of Xet

    << done 10/10/1992 >>

87. make xetlogo as a drawing area and make it as an animation logo

    << done 10/10/1992  not completed yet >>

88. reserve 7 colors ( reference 79. )
    The Xet logo Pixmap should contain all these colors.
    all std.map should contain these colors as the first couple entries
    Now how do I design the Xet Logo

89. If it is ease to do , I should add a chain of animation object.
    I believe this is a very powerful feature
    Create a new class to chain a number of animation objects
    Two kinds of animation objects
    1. individual animation object
    2. chained animation object
         (need a panel to set it up, may use the same scheduler panel)
       each animation model need to have it critera of termination i.e
       to pass control to the next object.
        a. when reach to a certain position or region
        b. life time is over 
            terminate by elaspe time or by wall time interval
            terminate by a fixed time 
            terminate by reaching to the maximum number of moves
        
    a. select an animation object,choose "copy to movie builder"
    b. repeat a several times
    c. in movie builer, use "set termination criteria" to set this object's
       termination criteria, so it can pass control to the next anim obj.
    d. click on "commit" will put an movie object to the scheduler list
       its run type is set MOVIE_E. (need run_movie.{h,cc})
    
     < movie session needs a name >
     < select a movie from scheduler means to edit the movie,
       May have difficulty to have movie contains movie        >
       
     << done 10/30/1992 >>

90. doing set fractal background while animation objects is running cause
    X protocol error. should lock the animation objects.
    if this fails, then inform user something is running can not change 
    background.

    << maybe fixed by adding supressXProtocolError() on 10/30/1992 >>

    << sometimes get the following message, sometimes ok >>>
   X Error of failed request:  BadIDChoice (invalid resource ID chosen for 
     this connection)
    Major opcode of failed request:  53 (X_CreatePixmap)
    Resource id in failed request:  0x158ce77
    Serial number of failed request:  7220253
    Current serial number in output stream:  7351375


91. change "scheduler" to "list of individual animation objects"

92. added "list of movie objects"

93. use mmap() to read image file

94. may allow image transformation in Xet by spawning off ppm jobs

95. use XmpTabelChildPosition(...) to make the editRun panel looks better
    when some of the panels gets unmanaged().

96. should allow multiple copies of editRun panels. I know how to do it
    but a lot need to be modified.

97. in movie builer list should added termination criteria
    1: obj2 Fly 300  maximun move = 1000
    2: obj3 Glide 30 time interval = 30000 msc
    3: obj4 random 30 wall clock = 3:30

    << done 10/25 1992 >>

98. re-initialize everything doesn't reset the "total clips" field in the 
    banner section.

    << fixed on 10/21/1992 >>

99. copy a movie object to movie builder, what should happen
    two copies of all children or shared children
    it should be an identical copy, since the original can be deleted
    if user doesn't want it

    << fixed 10/30/1992 make identical copy >>

100. do I have to combine class runObj and class runBase together,
     since it is better to combine the two.

     << done 10/22/1992, runObj is combined in runBase >>


101. wall_clock is not implemented yet

102. shall I use double linked list to implemented the RunBase objects
     under RunMovie, since the reverse() has to be implemented.

     << done 10/28/1992 >>
     
103. add 

     class clone : public clip {

     }

     which is a clone copy of a clip, the Ximage is shared, but the
     mask is not. reference counter of the original should be increment
     by 1.

     on clip list line must indicate it is a clone or original clip

     << done 10/24/1992 >>
     
104. need a way to allow editing listOfClip names

     << done 10/29/1992 >>>

105. should have reverse_course and reverse_clip_order capability.

     << done 10/30/1992 >>

106. destroy background cause all animation object terminated.

     << fixed 10/31/1992 >>>


107. clean button on all panels must be doing somthing.

     << done get rid of all clean button 11/15/1992 >>

108. delete an animation object, the corresponding ref-counter on the
     clip list should be updated. 
     need to fix somthing in schedulerDelete() ( read the comments in it)

    << fixed 11/15/1992, Don't remeber when I fixed >>

109. keep duplicating the same locus will cause some problem.
     sometimes it doesn't happen

     << not anymore 11/15/1992 >>

110. go through panel by panel, add doc and wrap up.
     may need a separate working sheet along with QA list.

111. need to straight up XET_DEFAULT_COLOR_MAP and XET_CURRENT_COLOR_MAP

     <<< done 11/14/1992 >>>

112. quit should confirm with users to save the current session or not.
     (implemented this by using WCL)

     << done 11/15/1992 >>

113. add a general section in the help to describe the general useage 
     of the mouse and popup in the drawing area and ....

     << done 11/10/1992 >>

114. need a uniformed method to handle the clean button,
     may be taken it out.

     << Yah, done no more clean button 11/15/1992 >>

115. need a "clip Name" button on the build-text panel to select background
     clip name

     << done 11/5/1992 >>

116. need a panel to select a locus name in the setup animation panel

     << done 11/10/1992, added a pasted options in the locus Panel >>

117. add XFlush() in sucheduler:resume() and scheduler:suspend() may reduse
     the occurrence of X protocol error.

     <<< done 11/5/1992 >>>

118. add bounding box for all animation objects, I think it is a very 
     important and interesting feature. ON the second thought
     random        -- already has it
     fixed, blink, --  don't need it
     fly, locus    --  don't need it
     glide         --  the only one who needs it
     it is very easy to implement, but what the interface should look like
     the run Set up form for glide already has too much stuff in it.
     should consist with run_random interface.

     << done 11/12/1992 >>

119. check the existance of all directories when user changes system parameters


120. import a mask should confirm with uses to overwrite current mask or not

     << done 11/15/1992 >>

121. re-initialize everything doesn't clear the stuff in the XmList.

     << fixed 11/15/1992 >>

122. copy a movie to the movie builder, then delete all objects in the movie
     builder, copy the same movie object to the movie builder ==> crash

     << fixed 11/8/1992>>

123. it seems that virtual runBase::~runBase() doesn't work. need to do 
     some investigation about why virtual destructor doesn't work
 
     << it does work, fixed  problem 11/8/1992 >>

124. besides "copy to movie builder" should have "append to movie builder"
     this will allow several movies be chained together.

     << done 11/8/1992, extend the functionality of "copy to movie builder"
                        no interface is changed >>

125. register hcommand.cc table to XtAddAction(), so all functions are
     available in the resouces file and users can add key bindings as they
     wish. Add this feature to the doc.

     << done 11/10/1992, get rif of hcmdtable.{h,cc} >>

     
126. add displayCenter()  as a member function of Clip class, so 
     slide showAll can be look better.
     fixed, blink, can set some flag to make it always display in the center

     << done 11/10/1992 >>

127. re-examine popup dialogue, some of them may not necessary

128. in ClipsTable::dup(char *)  the duplicate is not properly done.
     it only did a bitwise copy, the Ximage still share the same one

     << fixed 11/15/1992 >>

129. when ask for the clip size of a runObject. it should  return
     the current clip size in the clipList

130. need to add some global key bindings for convenience of 
     freeze and unfreeze objects

     << see 132. >>

131. concatnate two or more locus

     << will not do it, too much work at this moment >>

132. since drawingarea doesn't have keyboard focus thereore I can not 
     set *drawingArea.translations: whith any key bindings

     << put it in release notes and don;t try to fix it 11/15/1992 >>

133. a clip has mask or not  should be indicated in th clip list
     <orig,ref-count,mask(yes/no),normal>

      << done 11/14/1992 >>

134. when animation object is running, attach shape mask will suspend animation
     but the title bar is not correctly updated.

      << done 11/14/1992 >>

135. added detach clip mask button to delete a clips mask
     where to put the button

     << done 11/14/1992 >>

136. when an image transformation jobs fails, the resulting ppm file is empty
     it will cause crash.

     << 11/14/1992 added some protection to it >>


137. import image should check clip name first and reserve a slot for it.
     I think it is better then after image transforamtion is done and find
     out it is dumplcated name

    << done 11/14/1992 >>


138. rename xetfile to Xet script

    << done 11/14/1992 >>

139. load bbb.xet, if list of clips form is open, 
     text displayed in the list widget is incorrect

     << put it in release notes and don't try to fix it 11/15/1992 >>

140. delete shapeMask, replace the entire "Has mask" to "No Mask"

    << fixed 11/15/1992 >>

141. panel locking machanism is not correct.
     easiest way is to close all child panels when the parent is closed

     << put it in release notes and don't try to fix it 11/15/1992 >>

142. if two panels both open "clip selection form" will have ill effect

     << fixed 11/15/1992, not very good >>

143. rename clip, the list widget doesn't update properly.

     << fixed 11/15/1992 >>

144. rename animation object, the list widget doesn't update properly.
 
     << fixed 11/15/1992 >>

145. duplicate locus has "MemBug" problem
 
     << fixed 11/15/1992 >>

146. rename bgcolor to bakground, since bgcolor is not a good name

     << done 11/15/1992 >>

147. duplicate deep on clip, the reference counter is incorrectly copied.

     << fixed 11/15/1992 >>

148. need to wrap up Xet logo, make it as image so it won't take too much
     time at beginning.


149. re-initialize everything always leave a box, should get rid of it.

     << fixed 11/22/1992 >>

150. XetLoad should print out what is being build so user can look it
     and to find out any error.

     << done 11/17/1992 >>

151. editRun form needs to have both "reverse clip" and "reverse course"
     or take it out.

     << done 11/22/1992 >>

152. all cvt...(...) in the xetLoad.cc should be moved to its class
     and use static member function

153. loading script while scheduler panel is open cause wrong info displayed

      << fixed 11/20/1992 >>

154. rectangle add one more option, orientation angle

155. add some comments around xv, xdjpeg, hash code to indicate they are 
     stolen code.

156. in placeToXmListInRightOrder()
     if the key words are the same then just replace it and don't adjust 
     the rest.

     << done 11/20/1992 >>

157. in scheduler  .... < 300, 10, running>
     if it is a movie object then the middle should indicate how many
     objects in the movie

     << done 11/20/1992 >>

158. edit locus form cause the locusList display wrong info

     << fixed 11/21/1992 >>

159. movie builer still has problem on moving objects positions

     << fixed 11/21/1992 >>

160. scheduler name and the name of an object in movie object can not 
     duplicate otherwise the scheduler name is deleted

     << fixed 11/21/1992 >>

161. in jolt example, the reset on these two objects, rotat01 and rotate02,
     doesn't behave right.

     << fixed 11/22/1992, it is the Xet script problem >>

162. locus's reference count is not updated, if the form is open, same as the
     list of clips form

     << don't do it, put the fact to the release notes >>

163. need a way to extract objects from a movie object
     add a choice on the menu "extract" what is does is to extract the
     object and tag it with the dup_index.

     << done 11/22/1992 >>

164. re initialize everything has some problem, need more investignation

     << fixed 11/22/1992 >>

165. need to rework on the createAreYouSureDialog()
     may use the motif XmCreateQuestionDialog

     << fixed 11/22/1992 >>

166. I believe the last major thing to do before the release it to straight up
     the color and the Xet Logo.

167. settle the "grab a region", take it out from the menu or tell user it is
     not  implemented.

     << took it out 11/23/1992 >>

168. build text clip doesn't update the xet title bar,
     need to check all these 4 build functons.

169. where is the proper place to put XET file ?
     should be lib/X11/app-defaults/XET ...
     of course they can specified it

170. Should add the following two functions
     Clear infoTXT content and dump infoTXT to a log file, xet.log

     << done 11/25/1992 >>

171. check if the logo image is available then use it otherwise compute it
     should have some mechanism to allow user to update the logo image file
     for only once.

172. add one more demo which has xet logo and some panel floating around.


173. Do I have to use mmap() ? if not, delete MapFile.{cc,h} 

174. need rework on command line arguments, only pass "-rf xxxx" to WCL
     main() should filter out other command line arguments
     at least 

        xet -s objname a_script_file

     should work, since this is very convenient. 
     -s o1,o2,o3 -- to schedule one or more named objects
     -S          -- to schedule all objects
     last arguments with out - switch are treated as xet scripts.

     << done 11/26/1992 >>

175. colorSel Panel displays wrong rgb value when in private colormap mode
     I believe the color map is not updated.
     need to update the colorImage's local p[256] table.

176. may need a global flag to indicate whether to grab all available 
     color cells or to share with other clients

177. glide has problem, but "update" in the editRun is ok

     << fixed 11/28/1992 >>

178. if something is running, click on load xet script will suspend
     all running object with resume them. why ?

179. config system parameter should save the previous entries
     if no modification then don't do anything


180. add one more section to build background from clips
     parintdrawingarea:clipName:r/oMode:tilingMode:justification:x_loc:y_lox:

     << done 11/29/1992 >>

181. add an example to paint drawing area
 
182.  don't let user to open the same help file twice

183. add an example to do shrinking text on left-top corner, then
     make the text go left, use mask to clear it and ....

184. adding animation on the server background
     
     << done 12/5/1992, need some imporvements >>

     1. add "fix drawing area" and "fix server background"
     2. make OutputWindow *drawingArea;
             OutputWindow *server_background;
           as two global variable, don't have to fetch it every time
     3. add "root" or "drawingArea" options to animation set up form
     4. add "root" or "drawingArea" options to the editRun panel
     5. writeOut need to add one more field to indicate it is a root
        or drawingarea animation object. XetLoad.cc already has the capability

     << done 12/6/1992 >>

185. how to write out clone clips ?
    
     << fixed 12/12/1992 >>

186. how to write out snapshot. ?

     << don't write it out, since all parameters are not saved >>

187. tell users that xet script has more capability then the write out.

188. add command line switch to say run-animated logo or not

189. resize drawing area ==> drawing area goes white
     << make it as a feature,, put on bug list >>
    
190. should add stripWhiteSpace(...) to avoid user types space

191. fly equation syntax error cause core dump

