//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#ifndef PROC_TABLE_H
#define PROC_TABLE_H

#include <X11/Intrinsic.h>

class ProcEntry 
{
// it is better to make everything public so I can eliminate member functions
public:   
  int         fd;            // associated file descriptor
  int         pid;           // associated process id
  XtInputId   xfd;           // returned from XtAddInput
  char       *fileName;
  char       *clipName;
  char       *command;
  char       *mode;
  int         flag;   // == 1 delete the fileName after read the file
                      // == 0 don\'t delete it
  ProcEntry  *nextEntry;

  ProcEntry();
  ~ProcEntry();
};
#endif
