//
//  Xet - X Entertainment (a tool to create animated images)
//
//
//  Author:   Ko-Haw Nieh & Coalition Software, (nieh@netcom.com)
//
//
//  Copyright 1992, 1993 by Ko-Haw Nieh & Coalition Software
//
// Permission to use, copy, and distribute for non-commercial purposes,
// is hereby granted without fee, providing that the above copyright
// notice appear in all copies and that both the copyright notice and this
// permission notice appear in supporting documentation. 
//
// This software is provided as-is and without any warranty of any kind.

#ifndef SOLID_IMAGE_H
#define SOLID_IMAGE_H

#include "clip.h"

class SolidImage : public Clip {
protected:
  int pixval;
public:
  SolidImage(Display *d,Widget w);
  Clip *dup();
  void MakeImage(int w, int h, int pixval,int a = 0,int b = 0,int c = 0);
  ~SolidImage();
};

#endif

